Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.symbol
Interface FuzzyLocation.RangeResolver

All Superinterfaces:
  Serializable

Enclosing class:
  FuzzyLocation

    public static interface FuzzyLocation.RangeResolver

extends Serializable

Determines how a `FuzzyLocation` should be treated when used as a normal `Location`. Use one of the implementations of this interface when creating a `FuzzyLocation` to specify how the fuzzy (inner/outer) properties are translated into the standard Location min and max properties. It is possible to write custom implementations of this to create `FuzzyLocations` with exotic behaviour.

Method Summary
`int` | `resolveMax(FuzzyLocation loc)` Delegate for the getMax() method.
`int` | `resolveMin(FuzzyLocation loc)` Delegate for the getMin() method.

Method Detail

### resolveMin

    int resolveMin(FuzzyLocation loc)

  Delegate for the getMin() method.

  Parameters:
    `loc` - The Location to resolve
  Returns:
    the resolved Min

### resolveMax

    int resolveMax(FuzzyLocation loc)

  Delegate for the getMax() method.

  Parameters:
    `loc` - The Location to resolve
  Returns:
    the resolved Max

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD